List customer orders
curl --request GET \
--url https://api.opencals.com/storefront/ordersimport requests
url = "https://api.opencals.com/storefront/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.opencals.com/storefront/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"paymentCurrencyCode": "123e4567-e89b-12d3-a456-426614174000",
"taxesIncluded": "123e4567-e89b-12d3-a456-426614174000",
"externalId": "shop123_order_456",
"externalName": "#1001",
"name": "1001",
"customerId": "123e4567-e89b-12d3-a456-426614174000",
"storeId": "store-uuid",
"cartId": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2023-06-01T10:30:00Z",
"updatedAt": "2023-06-02T14:15:00Z",
"deletedAt": "2023-06-03T09:45:00Z",
"subtotal": 249.99,
"total": 249.99,
"totalTax": 249.99,
"dueToPay": 249.99,
"paidTotal": 249.99,
"refundedTotal": 249.99,
"balance": 249.99,
"dueToRefund": 249.99,
"isFullyPaid": false,
"isFullyRefunded": false,
"paymentStatus": "paid",
"refundStatus": "partially-refunded",
"fulfillmentStatus": "partially-fulfilled",
"customer": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalId": "1234567890",
"firstName": "John",
"lastName": "Smith",
"email": "john.smith@example.com",
"phone": "+12135550123",
"password": "<string>",
"storeId": "store-uuid",
"language": "en",
"createdAt": "2023-01-15T10:30:00Z",
"updatedAt": "2023-02-20T14:15:00Z",
"emailVerifiedAt": "2023-01-02T00:00:00Z",
"deletedAt": "2023-06-03T09:45:00Z",
"isEmailVerified": true,
"isPasswordSet": true
},
"lineItems": [
{
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"appointmentId": "550e8400-e29b-41d4-a716-446655440000",
"externalId": "12345678",
"originalUnitPrice": 249.99,
"discountedUnitPrice": 249.99,
"unitTaxAmount": 0,
"quantity": 1,
"createdAt": "2023-06-01T10:30:00Z",
"updatedAt": "2023-06-02T14:15:00Z",
"deletedAt": "2023-06-03T09:45:00Z",
"addOnSubtotal": 123,
"addOnTotalTax": 123,
"subtotal": 249.99,
"total": 249.99,
"totalTax": 249.99,
"refundedQuantity": 249.99,
"refundableQuantity": 249.99,
"appointment": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "1001",
"productId": "123e4567-e89b-12d3-a456-426614174001",
"staffMemberId": "123e4567-e89b-12d3-a456-426614174002",
"locationId": "123e4567-e89b-12d3-a456-426614174003",
"storeId": "123e4567-e89b-12d3-a456-426614174004",
"customerId": "123e4567-e89b-12d3-a456-426614174005",
"externalOrderId": "12345678",
"externalOrderName": "#1001",
"from": "2023-06-15T09:00:00Z",
"to": "2023-06-15T10:00:00Z",
"addressLine1": "123 Main Street",
"addressLine2": "Suite 456",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"status": "scheduled",
"internalNote": "Customer requested extra attention for specific needs",
"createdBy": "customer",
"reminderSentAt": "2023-06-14T09:00:00Z",
"numberOfAttendees": 1,
"createdAt": "2023-06-01T10:30:00Z",
"updatedAt": "2023-06-02T14:15:00Z",
"deletedAt": "2023-06-03T09:45:00Z",
"product": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"productId": "123e4567-e89b-12d3-a456-426614174000",
"externalId": "1234567890",
"externalVariantId": "9876543210",
"storeId": "123e4567-e89b-12d3-a456-426614174001",
"slug": "haircut-basic",
"scheduleId": "<string>",
"productPoolId": "<string>",
"title": "Haircut Service",
"variantTitle": "Short Hair",
"description": "<string>",
"imageId": "<string>",
"color": "BLUE",
"price": 250,
"taxable": false,
"duration": 3600,
"allowCustomDuration": false,
"maxDuration": -1,
"maxAttendees": 1,
"maxGuests": 123,
"allowGuests": false,
"allowCustomerReschedule": false,
"allowCustomerCancel": false,
"rescheduleGap": 123,
"cancelGap": 123,
"beforeGap": 123,
"afterGap": 123,
"fixedTimes": false,
"fixedStartTime": "09:00:00",
"fixedEndTime": "17:00:00",
"advanceScheduleThreshold": 0,
"sendConfirmationEmail": true,
"sendReminderEmail": false,
"sendFeedbackEmail": false,
"skipCheckout": false,
"status": "ACTIVE",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"image": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalId": "img_123456",
"url": "https://storage.example.com/images/product-image.jpg",
"filename": "product-image.jpg",
"mime": "image/jpeg",
"createdAt": "2023-01-01T12:00:00Z",
"updatedAt": "2023-01-02T12:00:00Z",
"deletedAt": "2023-01-03T12:00:00Z",
"storeId": "store-uuid"
}
},
"staffMember": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"storeId": "123e4567-e89b-12d3-a456-426614174111",
"userId": "user-uuid",
"scheduleId": "123e4567-e89b-12d3-a456-426614174000",
"imageId": "123e4567-e89b-12d3-a456-426614174000",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"slug": "mike",
"refreshToken": "abc123xyz456",
"createdAt": "2025-05-01T12:00:00Z",
"updatedAt": "2025-05-15T14:30:00Z",
"deletedAt": "2025-06-01T09:15:00Z",
"image": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalId": "img_123456",
"url": "https://storage.example.com/images/product-image.jpg",
"filename": "product-image.jpg",
"mime": "image/jpeg",
"createdAt": "2023-01-01T12:00:00Z",
"updatedAt": "2023-01-02T12:00:00Z",
"deletedAt": "2023-01-03T12:00:00Z",
"storeId": "store-uuid"
}
},
"location": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"storeId": "123e4567-e89b-12d3-a456-426614174001",
"scheduleId": "123e4567-e89b-12d3-a456-426614174002",
"title": "Main Office",
"description": "Our main downtown office location with 3 treatment rooms",
"slug": "new-york",
"type": "physical",
"link": "https://zoom.us/j/123456789",
"addressLine1": "123 Main Street",
"addressLine2": "Suite 200",
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"country": "United States",
"addressPlaceId": "ChIJIQBpAG2ahYAR_6128GcTUEo",
"latitude": 37.4224764,
"longitude": -122.0842499,
"createdAt": "2023-01-20T08:30:00Z",
"updatedAt": "2023-02-15T14:20:00Z",
"deletedAt": "2023-03-10T11:45:00Z",
"address": "<string>"
}
},
"addOnLineItems": [
{
"id": "<string>",
"orderId": "<string>",
"lineItemId": "<string>",
"addOnId": "<string>",
"externalId": "<string>",
"originalUnitPrice": 123,
"discountedUnitPrice": 123,
"unitTaxAmount": 123,
"quantity": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"subtotal": 123,
"total": 123,
"totalTax": 123,
"refundedQuantity": 123,
"refundableQuantity": 123
}
]
}
],
"transactions": [
{
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"externalId": "12345678",
"parentId": "12345678",
"refundId": "550e8400-e29b-41d4-a716-446655440000",
"type": "sale",
"amount": 249.99,
"currencyCode": "USD",
"gateway": "shopify",
"provider": "stripe",
"status": "success",
"createdAt": "2023-06-01T10:30:00Z",
"updatedAt": "2023-06-02T14:15:00Z",
"deletedAt": "2023-06-03T09:45:00Z",
"refundableAmount": 249.99,
"refundedAmount": 249.99,
"isRefundable": true
}
],
"gclid": "EAIaIQobChMI..."
}
],
"meta": {
"page": 1,
"take": 50,
"itemCount": 125,
"pageCount": 3,
"hasPreviousPage": false,
"hasNextPage": true
}
}Orders
List customer orders
Returns all orders for the authenticated customer with pagination
GET
/
storefront
/
orders
List customer orders
Query Parameters
Page number for pagination (1-indexed)
Required range:
x >= 1Example:
1
Number of items to return per page. Maximum allowed value is 100.
Required range:
1 <= x <= 100Example:
50
Filter orders by name
Example:
"1001"
Filter appointments by payment status
Available options:
unpaid, paid, partially-paid Example:
["paid"]
Filter appointments by fulfillment status
Available options:
partially-fulfilled, fulfilled, unfulfilled Example:
["unfulfilled", "partially-fulfilled"]
Filter orders by customer IDs
Example:
["123e4567-e89b-12d3-a456-426614174002"]
Filter orders by appointment services IDs
Example:
["123e4567-e89b-12d3-a456-426614174002"]
Filter orders by appointment staff member IDs
Example:
["123e4567-e89b-12d3-a456-426614174002"]
Filter orders by appointment location IDs
Example:
["123e4567-e89b-12d3-a456-426614174002"]
Field to order results by
Available options:
customerId, createdAt Example:
"createdAt"
Order direction
Available options:
ASC, DESC Example:
"DESC"
Last modified on July 26, 2026
Was this page helpful?
⌘I